Package ru.bitel.bgbilling.plugins.message4user.common.bean

# Class Message

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.message4user.common.bean.Message

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Message extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`
  `Message(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getMessageTitle()`
  `Set<Integer>`
  `getRolesIds()`
  `String`
  `getText()`
  `Set<Integer>`
  `getUsers()`
  `Message`
  `setDateFrom(Date dateFrom)`
  `Message`
  `setDateTo(Date dateTo)`
  `Message`
  `setMessageTitle(String messageTitle)`
  `Message`
  `setRolesIds(Set<Integer> rolesIds)`
  `Message`
  `setText(String text)`
  `Message`
  `setUsers(Set<Integer> users)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Message

    public Message()

  - ### Message

    public Message(int id, String title)

- ## Method Details

  - ### getText

    public String getText()

  - ### setText

    public Message setText(String text)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public Message setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public Message setDateTo(Date dateTo)

  - ### getRolesIds

    public Set<Integer> getRolesIds()

  - ### setRolesIds

    public Message setRolesIds(Set<Integer> rolesIds)

  - ### getUsers

    public Set<Integer> getUsers()

  - ### setUsers

    public Message setUsers(Set<Integer> users)

  - ### getMessageTitle

    public String getMessageTitle()

  - ### setMessageTitle

    public Message setMessageTitle(String messageTitle)